extends Node3D

signal interacted(description: String)

@export var description: String = "With a close eye you notice the once red hue of the faded statue before you."


func _ready() -> void:
	add_to_group("interactable")


func interact() -> void:
	interacted.emit(description)